## org.eclipse.emf.cdo.common.id
Enum CDOID.Type

    java.lang.Object
      java.lang.Enum<CDOID.Type>
          org.eclipse.emf.cdo.common.id.CDOID.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CDOID.Type>

Enclosing interface:
  CDOID

    public static enum CDOID.Type

extends java.lang.Enum<CDOID.Type>

Enum Constant Summary
`EXTERNAL_OBJECT`
`EXTERNAL_TEMP_OBJECT`
`META`
`NULL`
`OBJECT`
`TEMP_META`
`TEMP_OBJECT`

Method Summary
`static CDOID.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CDOID.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NULL

    public static final CDOID.Type NULL

### OBJECT

    public static final CDOID.Type OBJECT

### EXTERNAL_OBJECT

    public static final CDOID.Type EXTERNAL_OBJECT

Since:
  2.0

### EXTERNAL_TEMP_OBJECT

    public static final CDOID.Type EXTERNAL_TEMP_OBJECT

Since:
  2.0

### TEMP_OBJECT

    public static final CDOID.Type TEMP_OBJECT

### META

    public static final CDOID.Type META

### TEMP_META

    public static final CDOID.Type TEMP_META

Method Detail

### values

    public static final CDOID.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CDOID.Type c : CDOID.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CDOID.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.